--- a/Setup.hs
+++ b/Setup.hs
@@ -81,7 +81,12 @@ rawShellSystemStdInOut :: Verbosity                     -- Verbosity level
                        -> FilePath                      -- Path to command
                        -> [String]                      -- Command arguments
                        -> IO (String, String, ExitCode) -- (Command result, Errors, Command exit status)
-#if MIN_VERSION_Cabal(2,2,0)
+
+#if MIN_VERSION_Cabal(3,2,0)
+rawShellSystemStdInOut v f as = do
+  (so, se, c) <- rawSystemStdInOut v "sh" (f:as) Nothing Nothing Nothing DSU.IODataModeText
+  return (so, se, c)
+#elif MIN_VERSION_Cabal(2,2,0)
 rawShellSystemStdInOut v f as = do
   (~(DSU.IODataText so), se, c) <- rawSystemStdInOut v "sh" (f:as) Nothing Nothing Nothing DSU.IODataModeText
   return (so, se, c)
@@ -444,7 +449,9 @@ deMsysPaths bi = do
     if b
     then do
         let cor ph = do
-#if MIN_VERSION_Cabal(2,2,0)
+#if MIN_VERSION_Cabal(3,2,0)
+            (r, e, c) <- rawSystemStdInOut normal "sh" ["-c", "cd " ++ ph ++ "; pwd -W"] Nothing Nothing Nothing DSU.IODataModeText
+#elif MIN_VERSION_Cabal(2,2,0)
             (~(DSU.IODataText r), e, c) <- rawSystemStdInOut normal "sh" ["-c", "cd " ++ ph ++ "; pwd -W"] Nothing Nothing Nothing DSU.IODataModeText
 #else
             (r, e, c ) <- rawSystemStdInOut normal "sh" ["-c", "cd " ++ ph ++ "; pwd -W"] Nothing Nothing Nothing False
